import { __assign } from "tslib";
import React from 'react';
import { useId } from '@reach/auto-id';
import { Table } from '../../components/Table';
import { useDayPicker } from '../../contexts/DayPicker';
import { useNavigation } from '../../contexts/Navigation';
/** Render a month. */
export function Month(props) {
    var _a;
    var _b = useDayPicker(), dir = _b.dir, classNames = _b.classNames, styles = _b.styles, Caption = _b.components.Caption;
    var displayMonths = useNavigation().displayMonths;
    var captionId = useId();
    var className = [classNames.month];
    var style = styles.month;
    var isStart = props.displayIndex === 0;
    var isEnd = props.displayIndex === displayMonths.length - 1;
    var isCenter = !isStart && !isEnd;
    if (dir === 'rtl') {
        _a = [isStart, isEnd], isEnd = _a[0], isStart = _a[1];
    }
    if (isStart) {
        className.push(classNames.caption_start);
        style = __assign(__assign({}, style), styles.caption_start);
    }
    if (isEnd) {
        className.push(classNames.caption_end);
        style = __assign(__assign({}, style), styles.caption_end);
    }
    if (isCenter) {
        className.push(classNames.caption_between);
        style = __assign(__assign({}, style), styles.caption_between);
    }
    return (React.createElement("div", { key: props.displayIndex, className: className.join(' '), style: style },
        React.createElement(Caption, { id: captionId, displayMonth: props.displayMonth }),
        React.createElement(Table, { "aria-labelledby": captionId, displayMonth: props.displayMonth })));
}
//# sourceMappingURL=Month.js.map