import { __assign } from "tslib";
import React from 'react';
import { Month } from '../../components/Month';
import { useDayPicker } from '../../contexts/DayPicker';
import { useFocus } from '../../contexts/Focus';
import { useNavigation } from '../../contexts/Navigation';
/**
 * Render the container with the months and their captions. The number of months
 * rendered depends by the `numberOfMonths` prop.
 */
export function Root() {
    var _a = useDayPicker(), dir = _a.dir, className = _a.className, classNames = _a.classNames, style = _a.style, styles = _a.styles, numberOfMonths = _a.numberOfMonths, showWeekNumber = _a.showWeekNumber, initialFocus = _a.initialFocus;
    var _b = useFocus(), focusTarget = _b.focusTarget, focus = _b.focus;
    var _c = React.useState(false), hasInitialFocus = _c[0], setHasInitialFocus = _c[1];
    var displayMonths = useNavigation().displayMonths;
    var rootClassNames = [className !== null && className !== void 0 ? className : classNames.root];
    if (numberOfMonths > 1) {
        rootClassNames.push(classNames.multiple_months);
    }
    if (showWeekNumber) {
        rootClassNames.push(classNames.with_weeknumber);
    }
    React.useEffect(function () {
        if (initialFocus && !hasInitialFocus && focusTarget) {
            focus(focusTarget);
            setHasInitialFocus(true);
        }
    }, [initialFocus, hasInitialFocus, focus, focusTarget]);
    return (React.createElement("div", { className: rootClassNames.join(' '), style: __assign(__assign({}, styles.root), style), dir: dir },
        React.createElement("div", { className: classNames.months, style: styles.months }, displayMonths.map(function (month, i) { return (React.createElement(Month, { key: i, displayIndex: i, displayMonth: month })); }))));
}
//# sourceMappingURL=Root.js.map