import { Modifiers } from '../../types/Modifiers';
/**
 * Returns the day that should be the target of the focus when initially
 * rendered according to the following requirements:
 *  1. if there is a selected day, focus on the (first) selected day
 *  2. else if the display months include the current date (today) focus on the current date
 *  3. else focus on the first focusable day
 *  4. else there is nothing to focus on
 */
export declare function getInitialFocusTarget(displayMonths: Date[], modifiersContext: Modifiers): Date | undefined;
