import React from 'react';
import { ModifiersContext } from './ModifiersContext';
/** Hook to access the [[ModifiersContext]]. */
export function useModifiers() {
    var context = React.useContext(ModifiersContext);
    if (!context) {
        throw new Error('useModifiers must be used within a ModifiersProvider');
    }
    return context;
}
//# sourceMappingURL=useModifiers.js.map