import { useDayPicker } from '../../contexts/DayPicker';
import { useControlledValue } from '../../hooks/useControlledValue';
import { getInitialMonth } from './utils/getInitialMonth';
/** Controls the navigation state. */
export function useNavigationState() {
    var context = useDayPicker();
    var initialMonth = getInitialMonth(context);
    var _a = useControlledValue(initialMonth, context.month), month = _a[0], setMonth = _a[1];
    var goToMonth = function (date) {
        if (context.disableNavigation)
            return;
        setMonth(date);
    };
    return [month, goToMonth];
}
//# sourceMappingURL=useNavigationState.js.map