import { __rest } from "tslib";
import React from 'react';
import { DayPickerProvider } from './DayPicker';
import { FocusProvider } from './Focus';
import { ModifiersProvider } from './Modifiers';
import { NavigationProvider } from './Navigation';
import { SelectMultipleProvider } from './SelectMultiple';
import { SelectRangeProvider } from './SelectRange';
import { SelectSingleProvider } from './SelectSingle';
/** Provide the value for all the context providers. */
export function RootProvider(props) {
    var children = props.children, initialProps = __rest(props, ["children"]);
    return (React.createElement(DayPickerProvider, { initialProps: initialProps },
        React.createElement(NavigationProvider, null,
            React.createElement(SelectSingleProvider, { initialProps: initialProps },
                React.createElement(SelectMultipleProvider, { initialProps: initialProps },
                    React.createElement(SelectRangeProvider, { initialProps: initialProps },
                        React.createElement(ModifiersProvider, null,
                            React.createElement(FocusProvider, null, children))))))));
}
//# sourceMappingURL=RootProvider.js.map