import { __assign } from "tslib";
import { useDayPicker } from '../../contexts/DayPicker';
import { useModifiers } from '../../contexts/Modifiers';
import { getModifierStatus } from './utils/getModifierStatus';
/** Return the modifiers and its styles for the specified date. */
export function useDayModifiers(date) {
    var context = useDayPicker();
    var modifiersContext = useModifiers();
    // TODO: Is there a better name for the type ModifierStatus?
    var modifiers = getModifierStatus(date, modifiersContext);
    var modifierClassNames = [];
    Object.keys(modifiers).forEach(function (modifier) {
        var customClassName = context.modifierClassNames[modifier];
        if (customClassName) {
            modifierClassNames.push(customClassName);
        }
        else {
            modifierClassNames.push("" + context.modifierPrefix + modifier);
        }
    });
    var modifierStyle = {};
    if (context.modifierStyles) {
        Object.keys(modifiers).forEach(function (modifier) {
            var _a;
            modifierStyle = __assign(__assign({}, modifierStyle), (_a = context.modifierStyles) === null || _a === void 0 ? void 0 : _a[modifier]);
        });
    }
    return {
        modifiers: modifiers,
        modifierClassNames: modifierClassNames,
        modifierStyle: modifierStyle
    };
}
//# sourceMappingURL=useDayModifiers.js.map