"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var DayPicker_1 = require("../../contexts/DayPicker");
/**
 * Render a button HTML element applying the reset class name.
 */
exports.Button = react_1.default.forwardRef(function (props, ref) {
    var _a = (0, DayPicker_1.useDayPicker)(), classNames = _a.classNames, styles = _a.styles;
    var classNamesArr = [classNames.button_reset, classNames.button];
    if (props.className) {
        classNamesArr.push(props.className);
    }
    var className = classNamesArr.join(' ');
    var style = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, styles.button_reset), styles.button);
    if (props.style) {
        Object.assign(style, props.style);
    }
    return (react_1.default.createElement("button", (0, tslib_1.__assign)({}, props, { ref: ref, type: "button", className: className, style: style })));
});
//# sourceMappingURL=Button.js.map