"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Day = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var Button_1 = require("../Button");
var useDay_1 = require("./hooks/useDay");
/**
 * The content of a day cell – as a button or span element according to its
 * modifiers.
 */
function Day(props) {
    var buttonRef = react_1.default.useRef(null);
    var day = (0, useDay_1.useDay)(props.date, props.displayMonth, buttonRef);
    var buttonProps = day.buttonProps, nonInteractiveProps = day.nonInteractiveProps;
    if (!buttonProps && !nonInteractiveProps) {
        return react_1.default.createElement(react_1.default.Fragment, null);
    }
    if (nonInteractiveProps) {
        return react_1.default.createElement("div", (0, tslib_1.__assign)({}, nonInteractiveProps));
    }
    return react_1.default.createElement(Button_1.Button, (0, tslib_1.__assign)({ ref: buttonRef }, buttonProps));
}
exports.Day = Day;
//# sourceMappingURL=Day.js.map