"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dropdown = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var DayPicker_1 = require("../../contexts/DayPicker");
/**
 * Render a styled select component – displaying a caption and a custom
 * drop-down icon.
 */
function Dropdown(props) {
    var onChange = props.onChange, value = props.value, children = props.children, caption = props.caption, className = props.className, style = props.style;
    var _a = (0, DayPicker_1.useDayPicker)(), classNames = _a.classNames, styles = _a.styles, IconDropdown = _a.components.IconDropdown;
    return (react_1.default.createElement("div", { className: className, style: style },
        react_1.default.createElement("span", { className: classNames.vhidden }, props['aria-label']),
        react_1.default.createElement("select", { "aria-label": props['aria-label'], className: classNames.dropdown, style: styles.dropdown, value: value, onChange: onChange }, children),
        react_1.default.createElement("div", { className: classNames.caption_label, style: styles.caption_label, "aria-hidden": "true" },
            caption,
            react_1.default.createElement(IconDropdown, { className: classNames.dropdown_icon, style: styles.dropdown_icon }))));
}
exports.Dropdown = Dropdown;
//# sourceMappingURL=Dropdown.js.map