"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Head = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var DayPicker_1 = require("../../contexts/DayPicker");
var utils_1 = require("./utils");
/**
 * Render the Head component - i.e. the table head with the weekday names.
 */
function Head() {
    var _a = (0, DayPicker_1.useDayPicker)(), classNames = _a.classNames, styles = _a.styles, showWeekNumber = _a.showWeekNumber, locale = _a.locale, formatWeekdayName = _a.formatters.formatWeekdayName, labelWeekday = _a.labels.labelWeekday;
    var weekdays = (0, utils_1.getWeekdays)(locale);
    return (react_1.default.createElement("thead", { style: styles.head, className: classNames.head },
        react_1.default.createElement("tr", { style: styles.head_row, className: classNames.head_row },
            showWeekNumber && (react_1.default.createElement("th", { scope: "col", style: styles.head_cell, className: classNames.head_cell })),
            weekdays.map(function (weekday, i) { return (react_1.default.createElement("th", { key: i, scope: "col", className: classNames.head_cell, style: styles.head_cell },
                react_1.default.createElement("span", { "aria-hidden": true }, formatWeekdayName(weekday, { locale: locale })),
                react_1.default.createElement("span", { className: classNames.vhidden }, labelWeekday(weekday, { locale: locale })))); }))));
}
exports.Head = Head;
//# sourceMappingURL=Head.js.map