"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Month = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var auto_id_1 = require("@reach/auto-id");
var Table_1 = require("../../components/Table");
var DayPicker_1 = require("../../contexts/DayPicker");
var Navigation_1 = require("../../contexts/Navigation");
/** Render a month. */
function Month(props) {
    var _a;
    var _b = (0, DayPicker_1.useDayPicker)(), dir = _b.dir, classNames = _b.classNames, styles = _b.styles, Caption = _b.components.Caption;
    var displayMonths = (0, Navigation_1.useNavigation)().displayMonths;
    var captionId = (0, auto_id_1.useId)();
    var className = [classNames.month];
    var style = styles.month;
    var isStart = props.displayIndex === 0;
    var isEnd = props.displayIndex === displayMonths.length - 1;
    var isCenter = !isStart && !isEnd;
    if (dir === 'rtl') {
        _a = [isStart, isEnd], isEnd = _a[0], isStart = _a[1];
    }
    if (isStart) {
        className.push(classNames.caption_start);
        style = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, style), styles.caption_start);
    }
    if (isEnd) {
        className.push(classNames.caption_end);
        style = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, style), styles.caption_end);
    }
    if (isCenter) {
        className.push(classNames.caption_between);
        style = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, style), styles.caption_between);
    }
    return (react_1.default.createElement("div", { key: props.displayIndex, className: className.join(' '), style: style },
        react_1.default.createElement(Caption, { id: captionId, displayMonth: props.displayMonth }),
        react_1.default.createElement(Table_1.Table, { "aria-labelledby": captionId, displayMonth: props.displayMonth })));
}
exports.Month = Month;
//# sourceMappingURL=Month.js.map