"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Root = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var Month_1 = require("../../components/Month");
var DayPicker_1 = require("../../contexts/DayPicker");
var Focus_1 = require("../../contexts/Focus");
var Navigation_1 = require("../../contexts/Navigation");
/**
 * Render the container with the months and their captions. The number of months
 * rendered depends by the `numberOfMonths` prop.
 */
function Root() {
    var _a = (0, DayPicker_1.useDayPicker)(), dir = _a.dir, className = _a.className, classNames = _a.classNames, style = _a.style, styles = _a.styles, numberOfMonths = _a.numberOfMonths, showWeekNumber = _a.showWeekNumber, initialFocus = _a.initialFocus;
    var _b = (0, Focus_1.useFocus)(), focusTarget = _b.focusTarget, focus = _b.focus;
    var _c = react_1.default.useState(false), hasInitialFocus = _c[0], setHasInitialFocus = _c[1];
    var displayMonths = (0, Navigation_1.useNavigation)().displayMonths;
    var rootClassNames = [className !== null && className !== void 0 ? className : classNames.root];
    if (numberOfMonths > 1) {
        rootClassNames.push(classNames.multiple_months);
    }
    if (showWeekNumber) {
        rootClassNames.push(classNames.with_weeknumber);
    }
    react_1.default.useEffect(function () {
        if (initialFocus && !hasInitialFocus && focusTarget) {
            focus(focusTarget);
            setHasInitialFocus(true);
        }
    }, [initialFocus, hasInitialFocus, focus, focusTarget]);
    return (react_1.default.createElement("div", { className: rootClassNames.join(' '), style: (0, tslib_1.__assign)((0, tslib_1.__assign)({}, styles.root), style), dir: dir },
        react_1.default.createElement("div", { className: classNames.months, style: styles.months }, displayMonths.map(function (month, i) { return (react_1.default.createElement(Month_1.Month, { key: i, displayIndex: i, displayMonth: month })); }))));
}
exports.Root = Root;
//# sourceMappingURL=Root.js.map