"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Row = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var date_fns_1 = require("date-fns");
var DayPicker_1 = require("../../contexts/DayPicker");
/**
 * Render a row in the calendar, with the days and optionally the week number.
 */
function Row(props) {
    var _a = (0, DayPicker_1.useDayPicker)(), styles = _a.styles, classNames = _a.classNames, showWeekNumber = _a.showWeekNumber, _b = _a.components, Day = _b.Day, WeekNumber = _b.WeekNumber;
    var weekNumberCell;
    if (showWeekNumber) {
        weekNumberCell = (react_1.default.createElement("td", { className: classNames.cell, style: styles.cell },
            react_1.default.createElement(WeekNumber, { number: props.weekNumber, dates: props.dates })));
    }
    return (react_1.default.createElement("tr", { className: classNames.row, style: styles.row },
        weekNumberCell,
        props.dates.map(function (date) { return (react_1.default.createElement("td", { className: classNames.cell, style: styles.cell, key: (0, date_fns_1.getUnixTime)(date) },
            react_1.default.createElement(Day, { displayMonth: props.displayMonth, date: date }))); })));
}
exports.Row = Row;
//# sourceMappingURL=Row.js.map