"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var DayPicker_1 = require("../../contexts/DayPicker");
var getWeeks_1 = require("./utils/getWeeks");
/**
 * Render the table with the calendar.
 */
function Table(props) {
    var _a = (0, DayPicker_1.useDayPicker)(), locale = _a.locale, classNames = _a.classNames, styles = _a.styles, hideHead = _a.hideHead, fixedWeeks = _a.fixedWeeks, _b = _a.components, Head = _b.Head, Row = _b.Row, Footer = _b.Footer;
    var weeks = (0, getWeeks_1.getWeeks)(props.displayMonth, { locale: locale, fixedWeeks: fixedWeeks });
    return (react_1.default.createElement("table", { className: classNames.table, style: styles.table, role: "grid", "aria-labelledby": props['aria-labelledby'] },
        !hideHead && react_1.default.createElement(Head, null),
        react_1.default.createElement("tbody", { className: classNames.tbody, style: styles.tbody }, weeks.map(function (week) { return (react_1.default.createElement(Row, { displayMonth: props.displayMonth, key: week.weekNumber, dates: week.dates, weekNumber: week.weekNumber })); })),
        react_1.default.createElement(Footer, null)));
}
exports.Table = Table;
//# sourceMappingURL=Table.js.map