"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultContextValues = void 0;
var tslib_1 = require("tslib");
var locale_1 = require("date-fns/locale");
var Caption_1 = require("../../components/Caption");
var CaptionLabel_1 = require("../../components/CaptionLabel");
var Day_1 = require("../../components/Day");
var DayContent_1 = require("../../components/DayContent");
var Dropdown_1 = require("../../components/Dropdown");
var Footer_1 = require("../../components/Footer");
var Head_1 = require("../../components/Head");
var IconDropdown_1 = require("../../components/IconDropdown");
var IconLeft_1 = require("../../components/IconLeft");
var IconRight_1 = require("../../components/IconRight");
var Row_1 = require("../../components/Row");
var WeekNumber_1 = require("../../components/WeekNumber");
var defaultClassNames_1 = require("./defaultClassNames");
var formatters = (0, tslib_1.__importStar)(require("./formatters"));
var labels = (0, tslib_1.__importStar)(require("./labels"));
/**
 * Returns the default values to use in the DayPickerContext, in case they are
 * not passed down with the DayPicker initial props.
 */
function getDefaultContextValues() {
    var captionLayout = 'buttons';
    var classNames = defaultClassNames_1.defaultClassNames;
    var locale = locale_1.enUS;
    var modifierClassNames = {};
    var modifierPrefix = 'rdp-day_';
    var modifiers = {};
    var numberOfMonths = 1;
    var styles = {};
    var today = new Date();
    var components = {
        Caption: Caption_1.Caption,
        CaptionLabel: CaptionLabel_1.CaptionLabel,
        Day: Day_1.Day,
        DayContent: DayContent_1.DayContent,
        Dropdown: Dropdown_1.Dropdown,
        Footer: Footer_1.Footer,
        Head: Head_1.Head,
        IconDropdown: IconDropdown_1.IconDropdown,
        IconRight: IconRight_1.IconRight,
        IconLeft: IconLeft_1.IconLeft,
        Row: Row_1.Row,
        WeekNumber: WeekNumber_1.WeekNumber
    };
    return {
        captionLayout: captionLayout,
        classNames: classNames,
        components: components,
        formatters: formatters,
        labels: labels,
        locale: locale,
        modifierClassNames: modifierClassNames,
        modifierPrefix: modifierPrefix,
        modifiers: modifiers,
        numberOfMonths: numberOfMonths,
        styles: styles,
        today: today
    };
}
exports.getDefaultContextValues = getDefaultContextValues;
//# sourceMappingURL=defaultContextValues.js.map