"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDayPicker = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var DayPickerContext_1 = require("./DayPickerContext");
/**
 * Hook to access the [[DayPickerContext]].
 *
 * To use this hook make sure to wrap the components with a one
 * [[DayPickerProvider]].
 * */
function useDayPicker() {
    var context = react_1.default.useContext(DayPickerContext_1.DayPickerContext);
    if (!context) {
        throw new Error("Context is not defined. useDayPicker must be used within a DayPickerProvider with a valid values.");
    }
    return context;
}
exports.useDayPicker = useDayPicker;
//# sourceMappingURL=useDayPicker.js.map