"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFocus = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var FocusContext_1 = require("./FocusContext");
/** Hook to access the [[FocusContext]]. */
function useFocus() {
    var context = react_1.default.useContext(FocusContext_1.FocusContext);
    if (!context) {
        throw new Error('useFocus must be used within a FocusProvider');
    }
    return context;
}
exports.useFocus = useFocus;
//# sourceMappingURL=useFocus.js.map