"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModifiers = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var ModifiersContext_1 = require("./ModifiersContext");
/** Hook to access the [[ModifiersContext]]. */
function useModifiers() {
    var context = react_1.default.useContext(ModifiersContext_1.ModifiersContext);
    if (!context) {
        throw new Error('useModifiers must be used within a ModifiersProvider');
    }
    return context;
}
exports.useModifiers = useModifiers;
//# sourceMappingURL=useModifiers.js.map