"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInternalModifiers = void 0;
var DayPickerMultiple_1 = require("../../../types/DayPickerMultiple");
var DayPickerRange_1 = require("../../../types/DayPickerRange");
var Modifiers_1 = require("../../../types/Modifiers");
var matcherToArray_1 = require("./matcherToArray");
var Selected = Modifiers_1.InternalModifier.Selected, Disabled = Modifiers_1.InternalModifier.Disabled, Hidden = Modifiers_1.InternalModifier.Hidden, Today = Modifiers_1.InternalModifier.Today, RangeEnd = Modifiers_1.InternalModifier.RangeEnd, RangeMiddle = Modifiers_1.InternalModifier.RangeMiddle, RangeStart = Modifiers_1.InternalModifier.RangeStart;
/** Return the [[InternalModifiers]] from the DayPicker and select contexts. */
function getInternalModifiers(dayPicker, selectMultiple, selectRange) {
    var _a;
    var internalModifiers = (_a = {},
        _a[Selected] = (0, matcherToArray_1.matcherToArray)(dayPicker.selected),
        _a[Disabled] = (0, matcherToArray_1.matcherToArray)(dayPicker.disabled),
        _a[Hidden] = (0, matcherToArray_1.matcherToArray)(dayPicker.hidden),
        _a[Today] = [dayPicker.today],
        _a[RangeEnd] = [],
        _a[RangeMiddle] = [],
        _a[RangeStart] = [],
        _a);
    if (dayPicker.fromDate) {
        internalModifiers[Disabled].push({ before: dayPicker.fromDate });
    }
    if (dayPicker.toDate) {
        internalModifiers[Disabled].push({ after: dayPicker.toDate });
    }
    if ((0, DayPickerMultiple_1.isDayPickerMultiple)(dayPicker)) {
        internalModifiers[Disabled] = internalModifiers[Disabled].concat(selectMultiple.modifiers[Disabled]);
    }
    else if ((0, DayPickerRange_1.isDayPickerRange)(dayPicker)) {
        internalModifiers[Disabled] = internalModifiers[Disabled].concat(selectRange.modifiers[Disabled]);
        internalModifiers[RangeStart] = selectRange.modifiers[RangeStart];
        internalModifiers[RangeMiddle] = selectRange.modifiers[RangeMiddle];
        internalModifiers[RangeEnd] = selectRange.modifiers[RangeEnd];
    }
    return internalModifiers;
}
exports.getInternalModifiers = getInternalModifiers;
//# sourceMappingURL=getInternalModifiers.js.map