"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNavigation = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var NavigationContext_1 = require("./NavigationContext");
/** Hook to access the [[NavigationContext]]. */
function useNavigation() {
    var context = react_1.default.useContext(NavigationContext_1.NavigationContext);
    if (!context) {
        throw new Error('useNavigation must be used within a NavigationProvider');
    }
    return context;
}
exports.useNavigation = useNavigation;
//# sourceMappingURL=useNavigation.js.map