"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNavigationState = void 0;
var DayPicker_1 = require("../../contexts/DayPicker");
var useControlledValue_1 = require("../../hooks/useControlledValue");
var getInitialMonth_1 = require("./utils/getInitialMonth");
/** Controls the navigation state. */
function useNavigationState() {
    var context = (0, DayPicker_1.useDayPicker)();
    var initialMonth = (0, getInitialMonth_1.getInitialMonth)(context);
    var _a = (0, useControlledValue_1.useControlledValue)(initialMonth, context.month), month = _a[0], setMonth = _a[1];
    var goToMonth = function (date) {
        if (context.disableNavigation)
            return;
        setMonth(date);
    };
    return [month, goToMonth];
}
exports.useNavigationState = useNavigationState;
//# sourceMappingURL=useNavigationState.js.map