"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelectMultiple = void 0;
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var SelectMultipleContext_1 = require("./SelectMultipleContext");
/** Hook to access the [[SelectMultipleContext]]. */
function useSelectMultiple() {
    var context = react_1.default.useContext(SelectMultipleContext_1.SelectMultipleContext);
    if (!context) {
        throw new Error('useSelectMultiple must be used within a SelectMultipleProvider');
    }
    return context;
}
exports.useSelectMultiple = useSelectMultiple;
//# sourceMappingURL=useSelectMultiple.js.map