"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDayModifiers = void 0;
var tslib_1 = require("tslib");
var DayPicker_1 = require("../../contexts/DayPicker");
var Modifiers_1 = require("../../contexts/Modifiers");
var getModifierStatus_1 = require("./utils/getModifierStatus");
/** Return the modifiers and its styles for the specified date. */
function useDayModifiers(date) {
    var context = (0, DayPicker_1.useDayPicker)();
    var modifiersContext = (0, Modifiers_1.useModifiers)();
    // TODO: Is there a better name for the type ModifierStatus?
    var modifiers = (0, getModifierStatus_1.getModifierStatus)(date, modifiersContext);
    var modifierClassNames = [];
    Object.keys(modifiers).forEach(function (modifier) {
        var customClassName = context.modifierClassNames[modifier];
        if (customClassName) {
            modifierClassNames.push(customClassName);
        }
        else {
            modifierClassNames.push("" + context.modifierPrefix + modifier);
        }
    });
    var modifierStyle = {};
    if (context.modifierStyles) {
        Object.keys(modifiers).forEach(function (modifier) {
            var _a;
            modifierStyle = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, modifierStyle), (_a = context.modifierStyles) === null || _a === void 0 ? void 0 : _a[modifier]);
        });
    }
    return {
        modifiers: modifiers,
        modifierClassNames: modifierClassNames,
        modifierStyle: modifierStyle
    };
}
exports.useDayModifiers = useDayModifiers;
//# sourceMappingURL=useDayModifiers.js.map